<?php

/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Viralike
 */
get_header();
?>

<div class="container container--main">
    <div class="posts-row">
        <?php

        if (have_posts()) {
            // Start the Loop
            while (have_posts()) {
                the_post();
                // Content
                get_template_part('template-parts/content/content');
            }
            // Pagination
            the_posts_navigation();
        } else {
            // No content
            get_template_part('template-parts/content/content', 'none');
        }

        ?>
    </div><!-- .posts-row -->
</div><!-- .container--main -->

<?php
?>

<?php
get_footer();
